## org.eclipse.datatools.connectivity.oda.design
Enum SortDirectionType

    java.lang.Object
      java.lang.Enum<SortDirectionType>
          org.eclipse.datatools.connectivity.oda.design.SortDirectionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SortDirectionType>, org.eclipse.emf.common.util.Enumerator

    public enum SortDirectionType

extends java.lang.Enum<SortDirectionType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Sort Direction Type', and utility methods for working with them. The type of sort direction defined in a sort key.

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getSortDirectionType()`

Enum Constant Summary
`ASCENDING` The 'Ascending' literal object.
`DESCENDING` The 'Descending' literal object.

Field Summary
`static int` `ASCENDING_VALUE` The 'Ascending' literal value.
`static java.lang.String` `copyright`
`static int` `DESCENDING_VALUE` The 'Descending' literal value.
`static java.util.List<SortDirectionType>` `VALUES` A public read-only list of all the 'Sort Direction Type' enumerators.

Method Summary
`static SortDirectionType` `get(int value)` Returns the 'Sort Direction Type' literal with the specified integer value.
`static SortDirectionType` `get(java.lang.String literal)` Returns the 'Sort Direction Type' literal with the specified literal value.
`static SortDirectionType` `getByName(java.lang.String name)` Returns the 'Sort Direction Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SortDirectionType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SortDirectionType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCENDING

    public static final SortDirectionType ASCENDING

  The 'Ascending' literal object.

  See Also:
    `ASCENDING_VALUE`

### DESCENDING

    public static final SortDirectionType DESCENDING

  The 'Descending' literal object.

  See Also:
    `DESCENDING_VALUE`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### ASCENDING_VALUE

    public static final int ASCENDING_VALUE

  The 'Ascending' literal value.

  If the meaning of 'Ascending' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASCENDING`, Constant Field Values

### DESCENDING_VALUE

    public static final int DESCENDING_VALUE

  The 'Descending' literal value.

  If the meaning of 'Descending' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DESCENDING`, Constant Field Values

### VALUES

    public static final java.util.List<SortDirectionType> VALUES

  A public read-only list of all the 'Sort Direction Type' enumerators.

Method Detail

### values

    public static final SortDirectionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SortDirectionType c : SortDirectionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SortDirectionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static SortDirectionType get(java.lang.String literal)

  Returns the 'Sort Direction Type' literal with the specified literal value.

### getByName

    public static SortDirectionType getByName(java.lang.String name)

  Returns the 'Sort Direction Type' literal with the specified name.

### get

    public static SortDirectionType get(int value)

  Returns the 'Sort Direction Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SortDirectionType>`